Creates a crop thumbnail

- « Imagick::cropImage

- Imagick::current »

- PHP Manual
- Imagick
- Creates a crop thumbnail

# Imagick::cropThumbnailImage

(PECL imagick 2, PECL imagick 3)

Imagick::cropThumbnailImage — Creates a crop thumbnail

### Description

public Imagick::cropThumbnailImage(int `$width`, int `$height`, bool `$legacy` = `false`): bool

Creates a fixed size thumbnail by first scaling the image up or down and cropping a specified area from the center.

### Parameters

`width`

  The width of the thumbnail

`height`

  The Height of the thumbnail

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.